Bug 832431 - SAM cli headpin Version command returns exitCode as 1 even after successful completion of command
SAM cli headpin Version command returns exitCode as 1 even after successful c...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.1
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Adam Price
Katello QA List
: Triaged
Depends On: 832425
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 07:46 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 832425
Environment:
Last Closed: 2013-09-19 14:10:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-06-15 07:46:16 EDT
+++ This bug was initially created as a clone of Bug #832425 +++

Description of problem:
The newly added headpin -u admin -p admin version -v has exitCode
as 1

Version-Release number of selected component (if applicable):
[root@dell-pesc1425-01 ~]# rpm -qa | grep katello
katello-cli-common-0.3.5-2.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-0.3.2-1.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-configure-0.3.7-1.el6_2.noarch
katello-headpin-all-0.2.12-2.el6_2.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-common-0.3.2-1.el6_2.noarch
katello-headpin-0.2.12-2.el6_2.noarch

How reproducible:
Automation JAVA_ClI code is
executed on the SAM server

Steps to Reproduce:
The test report attached:
http://pastebin.test.redhat.com/93090
  
Actual results:
The return exit code for successful execution is 1.

Expected results:
The return exit code for successful execution should be 0 since
all the other commmands return 1 after successful completion


Additional info:
cloning the bug for CFSE since the code is shared with katello
Comment 1 Adam Price 2012-09-26 11:48:38 EDT
i installed the nightly katello build and deployed as headpin.

[root@shadow ~]# rpm -qa | grep katello
katello-cli-headpin-1.1.1-1.git.59.e8fe8d3.el6.noarch
katello-repos-1.1.2-1.el6.noarch
katello-headpin-1.1.12-1.git.243.bfe4793.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-1.1.12-1.git.243.bfe4793.el6.noarch
katello-configure-1.1.9-1.git.182.9a10874.el6.noarch
katello-headpin-all-1.1.12-1.git.243.bfe4793.el6.noarch
katello-common-1.1.12-1.git.243.bfe4793.el6.noarch
katello-selinux-1.1.1-1.git.657.6199559.el6.noarch
katello-certs-tools-1.1.8-1.el6.noarch
katello-cli-common-1.1.8-1.git.239.b4698ce.el6.noarch



[root@shadow ~]# headpin -u admin -p admin version -v
Headpin 1.1.12-1.git.243.bfe4793.el6
[root@shadow ~]# echo $?
0


looks fixed as of commit 0de6b69496b10e3cf2fdea316327c7829abad630
Comment 2 Mike McCune 2013-08-16 14:01:35 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 3 Mike McCune 2013-09-19 14:10:18 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.